%define name gtray
%define version 1.1
%define release 2mdk

Summary: Notification Area app to check GMail account
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://fraggle.alkali.org/projects/gtray/ 
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}-16.png.bz2
Source2: %{name}-32.png.bz2
Source3: %{name}-48.png.bz2
Patch0: %{name}-login.patch.bz2
License: GPL
Group: Networking/Mail
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.8 ruby-gconf2 ruby-gtktrayicon
BuildArch: noarch

%description
GTray is a small notification area app to check the status of your GMail
account and display if you have any new email.

%prep
%setup -q
%patch0 -p0

%build
sed -i "s/\\(require '\\)\\(.*\\.rb'\\)/\\1gtray\\/\\2/" src/gtray src/*.rb
%define icondir %(echo '%{_datadir}/%name' | sed 's/\\//\\\\\\//g')
sed -i "s/\"\\(.*\.png\\)/\"%{icondir}\/\\1/" src/TrayIcon.rb

%install
rm -rf %buildroot

mkdir -p %buildroot`ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']"`/gtray
cp src/*.rb %buildroot`ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']"`/gtray

mkdir -p %buildroot%_bindir
cp src/gtray %buildroot%_bindir

mkdir -p %buildroot%icondir
cp src/*.png %buildroot%icondir

#menu
install -m 755 -d %buildroot%{_menudir}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%name): needs="x11" \
        section="Internet/Mail" \
        title="GTray" \
        longtitle="GTray" \
        command="%{_bindir}/%{name}" \
        icon="%{name}.png"
EOF

# icon
install -m 755 -d %buildroot{%{_miconsdir},%{_liconsdir}}
bzcat %{SOURCE1} > %buildroot%_miconsdir/%{name}.png
bzcat %{SOURCE2} > %buildroot%_iconsdir/%{name}.png
bzcat %{SOURCE3} > %buildroot%_liconsdir/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/ruby/site_ruby/*/%{name}
%{_datadir}/%{name}
%{_menudir}/%name
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%doc AUTHORS  COPYING  NEWS  README 

%changelog
* Sun Sep 19 2004 Pascal Terjan <pterjan@mandrake.org> 1.1-2mdk
- Fix for gmail authentification changes

* Mon Jun 28 2004 Pascal Terjan <pterjan@mandrake.org> 1.1-1mdk
- Oops missed the 1.1

* Mon Jun 28 2004 Pascal Terjan <pterjan@mandrake.org> 1.0-1mdk
- first mdk release
